@media (max-height: 700px) {
  .app {
    padding-top: 100px;
  }
  .header__grid {
    height: 52px;
  }
  .top-line {
    top: 52px;
  }
  .top-line__grid {
    height: 48px;
  }
  .top-line__head {
    font-size: 18px;
  }
  .filter {
    top: 100px;
  }
}
@media (max-height: 700px), (max-width: 1199px) {
  .auth-overlay__img {
    top: -100px;
    max-width: 1000px;
  }
  .auth-overlay__wrap {
    padding-top: 200px;
  }
}
/*==========	Desktop First Method	==========*/
@media (max-width: 1879px) {
  .sort-line__tab {
    padding: 7px 10px;
  }
  .sort-line__tab-icon {
    margin-left: 6px;
  }
  .catalog-top__main {
    -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
            order: 2;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    gap: 15px 30px;
    width: 100%;
  }
  .catalog-top__info {
    padding-right: 0;
  }
  .catalog-item {
    padding: 29px 19px 19px;
  }
  .catalog-item__main {
    width: 100%;
    padding-left: 0;
  }
  .catalog-item__top {
    padding-right: 120px;
    margin-bottom: 15px;
  }
  .catalog-item__img {
    margin: 0;
  }
  .catalog-item__box {
    padding: 19px;
  }
  .catalog-item__action {
    -ms-flex-item-align: end;
        align-self: flex-end;
    padding: 0;
  }
  .catalog-item__price {
    text-align: left;
  }
}
@media (max-width: 1399px) {
  .app {
    padding-left: 240px;
  }
  .header,
  .top-line {
    padding-left: 20px;
  }
  .filter {
    padding-left: 20px;
    width: 240px;
  }
}
@media (max-width: 1199px) {
  .app {
    padding: 60px 0 0;
  }
  .app-content {
    padding-bottom: 70px;
  }
  .cart-box {
    display: none;
  }
  .header {
    -webkit-box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  }
  .header__grid {
    height: 60px;
  }
  .filter {
    display: none;
    top: 0;
    width: 280px;
    -webkit-animation: menuClose 0.4s forwards;
            animation: menuClose 0.4s forwards;
  }
  .filter._show {
    -webkit-animation-name: menuShow;
            animation-name: menuShow;
  }
  .top-line {
    position: relative;
    top: 0;
    padding: 9px 20px;
  }
  .top-line__grid {
    height: auto;
  }
  .top-line__head {
    font-size: 18px;
  }
  .sort-line {
    padding: 10px 20px;
  }
}
@media (max-width: 991px) {
  .catalog-top__info {
    gap: 10px;
  }
  .catalog-top__info-item {
    font-size: 14px;
  }
  .catalog-top__info-item strong {
    margin-bottom: 4px;
  }
  .catalog-item__action {
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    width: 100%;
  }
  .catalog-item__price {
    -webkit-box-flex: 1;
        -ms-flex: 1 0 0px;
            flex: 1 0 0;
  }
}
@media (max-width: 767px) {
  .btn {
    padding-left: 20px;
    padding-right: 20px;
  }
  .btn._big {
    gap: 17px;
    min-height: 42px;
    font-size: 20px;
  }
  .btn._big .ic {
    font-size: 22px;
  }
  .btn._big .ic-cart {
    font-size: 24px;
  }
  .top-line__tab {
    padding: 7px 10px;
  }
  .catalog-item {
    padding-top: 39px;
  }
  .catalog-item__badge {
    padding: 6px 10px;
  }
  .catalog-top__info {
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
  }
  .catalog-item__top {
    gap: 0 16px;
    padding-right: 0;
  }
  .catalog-item__img .img-full-box {
    width: 50px;
    height: 50px;
  }
  .catalog-item__head {
    font-size: 20px;
  }
  .catalog-item__ells {
    -ms-flex-item-align: auto;
        -ms-grid-row-align: auto;
        align-self: auto;
  }
  .catalog-item__box {
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }
  .catalog-item__fields {
    width: 100%;
  }
  .catalog-item__subs .subs-icons {
    margin-top: 20px;
  }
  .catalog-item__info td {
    padding: 0 5px 10px;
  }
  .catalog-item__info td:last-child {
    font-size: 22px;
  }
}
@media (max-width: 575px) {
  .app-content {
    padding: 15px 15px 70px;
  }
  .btn._head {
    padding-left: 10px;
    padding-right: 10px;
  }
  .btn._head._auth {
    padding: 0;
    width: 32px;
    font-size: 0;
  }
  .btn._head._auth:after {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    margin-top: -0.5em;
    content: "\e90e";
    font-family: "icomoon";
    text-transform: none;
    font-weight: normal;
    font-style: normal;
    line-height: 1;
    font-size: 16px;
  }
  .header {
    padding: 0 15px;
  }
  .top-line {
    padding: 9px 15px;
  }
  .top-line__grid {
    display: block;
  }
  .top-line__tabs {
    margin-top: 7px;
  }
  .sort-line {
    display: block;
    padding: 10px 15px;
  }
  .sort-line__cart {
    width: 100%;
    margin: 10px 0 0;
  }
  .catalog-top {
    padding: 0;
  }
  .catalog-item__top {
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    gap: 16px;
  }
  .catalog-item__descr {
    margin-bottom: 20px;
    font-size: 14px;
  }
  .catalog-item__rev-badges {
    gap: 4px;
  }
  .catalog-item__box {
    padding: 14px;
  }
  .catalog-item__subs {
    max-width: none;
    width: 100%;
  }
  .catalog-item__info {
    width: 100%;
  }
  .catalog-item__info td {
    width: 50%;
  }
  .catalog-item__action {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: stretch;
        -ms-flex-align: stretch;
            align-items: stretch;
  }
  .catalog-item__price {
    font-size: 36px;
  }
  .catalog-item__btn .btn {
    width: 100%;
  }
  .auth-overlay__img {
    top: -70px;
    max-width: 750px;
  }
  .auth-overlay__wrap {
    padding-top: 180px;
  }
  .auth-overlay__head {
    font-size: 24px;
  }
}
/*==========	Mobile First Method	==========*/
@media (min-width: 1200px) {
  .mob-filter-btn,
  .mob-filter-close {
    display: none;
  }
  .filter {
    display: block !important;
  }
}